#
# spec file for package erlang-sd_notify
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name sd_notify

Name:           erlang-%{app_name}
Version:        1.0
Release:        lp150.1.1
%define app_ver {%version}
Summary:        Erlang interface to systemd notify subsystem
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/systemd/erlang-sd_notify
Source0:        erlang-%{app_name}-%{version}.tar.bz2
BuildRequires:  erlang-rebar
BuildRequires:  systemd-devel >= 219
Requires:       erlang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Erlang module for native access to the systemd-notify facilities.

%prep
%setup -q

%build
export LDFLAGS=-lsystemd
%rebar compile

%install
mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/{ebin,priv}
install -m 644 -p ebin/%{app_name}.app %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin
install -m 644 -p ebin/%{app_name}.beam %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin
install -m 755 -p priv/%{app_name}_drv.so %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/priv

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/priv
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%{erlang_libdir}/%{app_name}-%{app_ver}/priv/%{app_name}_drv.so

%changelog
* Mon Apr 16 2018 matwey.kornilov@gmail.com
- sd_pid_notify_with_fds() function is available in systemd v219
* Mon Apr 16 2018 opensuse-packaging@opensuse.org
- Update to version 1.0:
  * docker build and rebar config
  * add tag
  * Update README.md
  * Update README.md
  * update readme
  * Update the CentOS build for sd_notify to support Debian.
  * Use "git" as version in app-file
  * Update 18.3.1
  * Update 18.3.1
  * Update 18.3.1 fix
  * Fix rabbitmq installation link
  * update debian package
  * update README
  * added sd_pid_notify
  * added sd_pid_notifyf
  * cosmetics
  * docker build
  * update readme
  * add docker for Erlang 19
  * modified readme
  * docker for 19
  * Cosmetic
  * Wrong array number
  * Remove duplicated code
  * Implement sd_pid_notify_with_fds
  * Update README.md
  * update for 19.1
  * Add more files to ignore
  * Change the docker image
  * Add rpm spec for Centos
  * Add rpm spec for Centos
  * Restore history spec
  * update to 0.13
  * Add stub for NIF upgrade
  * Fix another one typo
  * Remove whitespace
  * Remove bogus test stub
  * Add basic test
  * Make alias - make check -> make test
  * change version to 0.14
  * Run tests only if Erlang ver. is 19
  * Enable testing
  * List available Erlang versions
  * Add more Erlang versions
  * test systemd
  * Move test message creation to where it belongs
  * Don't fake list of sockets
  * Add docker image to test Erlang 19 on Ubuntu
  * Update docker image to 19.3
  * Change package version to 1.0
* Thu Jul  2 2015 rhafer@suse.com
- Make sure to link against libsystemd to avoid "undefined symbol:
  sd_notify" errors
* Tue Jun 23 2015 tbechtold@suse.com
- Initial packaging
